html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus,
.btn:active:focus,
.btn-link.nav-link:focus,
.form-control:focus,
.form-check-input:focus {
  box-shadow:
    0 0 0 0.1rem white,
    0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

.form-floating > .form-control-plaintext::placeholder,
.form-floating > .form-control::placeholder {
  color: var(--bs-secondary-color);
  text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder,
.form-floating > .form-control:focus::placeholder {
  text-align: start;
}

.nav-link.disabled {
    pointer-events: none;
    opacity: 0.5;
}


/**********************************************
Navbar Styles
**********************************************/

.custom-navbar {
    background-color: #2E6F95;
}

/**********************************************
Landing Page Styles
**********************************************/

.hero-section {
    background: url('/images/campground-hero.jpg') center/cover no-repeat;
    height: 60vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

    .hero-section h1 {
        font-size: 3rem;
        font-weight: bold;
    }

    .hero-section p {
        font-size: 1.3rem;
    }

/**********************************************
Profile Styles
**********************************************/

.app-container {
    display: flex;
    justify-content: center;
    align-content: center;
    padding: 2rem;
}

.main-content {
    width: 100%;
    max-width: 500px;
}

.profile-container {
    background-color: #fff;
    border-radius: 10px;
    padding: 1.5rem;
    box-shadow: 0 2px 8px rgba(0,0,0,0.1);
    text-align: center;
}

.avatar-icon i {
    color: #6c757d;
}

.contact {
    font-size: 1.1rem;
    margin: 0.2rem 0;
}

.button-group .btn {
    min-width: 300px;
    margin: 0.2rem;
}

.form-group {
    margin-bottom: 0.4rem;
}